@echo off
REM cls

set aes_key="dummy"

set config_dir=config
set base_name=config
set config_tgz=%base_name%.tgz
set config_tar=%base_name%.tar
set config_tar_gz=%base_name%.tar.gz
set config_bin=%base_name%.bin

echo.
if exist %config_tgz% del %config_tgz%
if exist %config_tar% del %config_tar%
if exist %config_tar_gz% del %config_tar_gz%
if not exist %config_dir% (
  echo Error: %config_dir% folder missing
  echo.
  pause
  exit
)
( dir /b /a %config_dir% | findstr . ) > nul && (
  goto :notempty
) || (
  echo Error: %config_dir% folder empty
  echo.
  pause
  exit
)
:notempty

echo taring config files...
cd %config_dir%
..\bin\tar cf ..\%config_tar% *.*
cd..
echo gzipping %config_tar%...
bin\gzip %config_tar%
ren %config_tar_gz% %config_tgz%
if exist %config_bin% del %config_bin%
echo encrypting %config_tgz%...
bin\sph_crypto_tool.exe %aes_key% -e %config_tgz% %config_bin%
del %config_tgz%
echo.
echo Now upload your newly created %config_bin% to your router!
echo.
echo.
REM pause